DEFINT A-Z
DECLARE SUB EventForm ()

DECLARE FUNCTION SynchedorScripted% (Cevent&)
DECLARE SUB FileSetPos (FileHandle%, fpos&)
DECLARE SUB ConverseSetFilename (Filename$)
DECLARE SUB OpenConverse ()


DECLARE SUB EventAssociatedTexts ()
DECLARE SUB EventFormDrawSelected (FormField%)
DECLARE SUB NewEvent ()
DECLARE SUB ScreenEvSeq ()
DECLARE SUB ScreenPerson ()
DECLARE SUB ScreenMain ()

TYPE ConversationBlockType
    IDhdr AS STRING * 4
    Length AS LONG
END TYPE

TYPE EPSType
  Event  AS LONG
  Person AS LONG
  Speech AS LONG
END TYPE

TYPE EDashPSCountType
  Event AS LONG
  PSCount AS LONG
END TYPE

TYPE PersonStringType
  Person AS LONG
  Speech AS LONG
END TYPE

TYPE StringPropertiesType
     Location AS LONG 'Location In file
     StringType AS LONG 'Name, Set, or Replace
END TYPE

TYPE PersonSpeechReplaceType
  Person AS LONG
  NewSpeech AS LONG
  OldSpeech AS LONG
END TYPE


'Below is no good
'TYPE BoolOpEventBoolOp
'    Event AS LONG
'    BoolOpFront AS INTEGER
'    BoolOpBack AS INTEGER
'END TYPE

DECLARE FUNCTION String0System$ (Person&)

COMMON SHARED /ConverseFile/ ConverseFilename$, ConverseFileHandle%


DIM EventList$(0 TO 0)
DIM SHARED CurrEvent%, CurrPerson%
DIM SHARED EventFormGlobalSettings(0 TO 3)
CLS
ConverseSetFilename "CONVERSE.CNV"
OpenConverse
ScreenMain

SUB EventAssociatedTexts
PRINT "Said By:";

END SUB

SUB EventFieldHelp (FormField%)
    LOCATE 20
    PRINT "Values for this field are set | replaces"
    PRINT "Hit Space to change"
END SUB

SUB ScreenEvSeq
    CLS
    PRINT "Event Sequences: <none> Unsequenced Events: <none>"
    PRINT "Create New Event Sequence"
    PRINT "Switch to another Event Sequence"
    DO
      SELECT CASE INKEY$
      CASE CHR$(27)
        EXIT DO
      END SELECT
    LOOP
END SUB

SUB ScreenMain
ScreenMainTop:
    CLS
    PRINT "1: Event"
    PRINT "   View what all people are saying about a given event"
    PRINT "2: People"
    PRINT "   See what a person has to say about an event"
    PRINT "3: Event Sequencing"
    PRINT "   Give an order to Events"
    DO
      SELECT CASE INKEY$
      CASE "1"
        EventForm
        GOTO ScreenMainTop:
      CASE "2"
        ScreenPerson
        GOTO ScreenMainTop:
      CASE "3"
        ScreenEvSeq
      CASE CHR$(27)
        END
      END SELECT
    LOOP
END SUB

SUB ScreenPerson
CLS
PRINT "Selected Person: <none> "
PRINT "  Person Number:"
PRINT
PRINT "Person:"
DO
  SELECT CASE INKEY$
  CASE CHR$(27)
    EXIT DO
  END SELECT
LOOP
END SUB

FUNCTION SynchedorScripted (Cevent&)
END FUNCTION

SUB VisibleFieldCount
END SUB

