DEFINT A-Z
DECLARE SUB FileToString (Text$, Filenum%)
DECLARE FUNCTION FileStringArray$ (FileHandle%, sBase&, Enum&)

DECLARE FUNCTION CaseSTRING$ (StringTest$, StringCase$, StringResult$, StringElse$)
DECLARE FUNCTION CaseStringArray$ (StringTest$, StringCase$(), StringResult$(), StringElse$)
DECLARE FUNCTION StringArrayMaxLen% (StringArray%())

FUNCTION CaseSTRING$ (StringTest$, StringCase$, StringResult$, StringElse$)
    IF StringTest$ = "" THEN EXIT FUNCTION
    IF LEN(StringCase$) <> LEN(StringResult$) THEN EXIT FUNCTION
    IF LEN(StringTest$) > LEN(StringCase$) THEN EXIT FUNCTION
    Items% = LEN(StringCase$) / LEN(StringTest$)
    FOR I = 0 TO Items% - 1
      IF StringText$ = MID$(StringCase$, I% * LEN(StringText$) + 1, LEN(StringText$)) THEN
        CaseSTRING$ = MID$(StringResult$, I% * LEN(StringText$) + 1, LEN(StringText$))
      END IF
    NEXT
END FUNCTION

FUNCTION CaseStringArray$ (StringTest$, StringCase$(), StringResult$(), StringElse$)
    IF LBOUND(StringCase$) <> LBOUND(StringResult$) THEN EXIT FUNCTION
    IF UBOUND(StringCase$) <> UBOUND(StringResult$) THEN EXIT FUNCTION
    FOR I% = LBOUND(StringCase$) TO UBOUND(StringCase$)
      IF StringTest$ = StringCase$(I%) THEN
        CaseStringArray$ = StringResult$(I%)
        EXIT FUNCTION
      END IF
    NEXT
    CaseStringArray$ = StringElse$
END FUNCTION

FUNCTION FileStringArray$ (FileHandle%, sBase&, Enum&)
'Bounds are not checked, base 0
'To change the base, change the first number in the i& loop
SEEK FileHandle%, sBase&
FOR I& = 0 TO Enum&
   FileToString Text$, FileHandle%
NEXT I&
   FileStringArray$ = Text$
END FUNCTION

SUB FileToString (Text$, Filenum%)
    GET Filenum%, , LongVal&
    Text$ = SPACE$(LongVal&)
    GET Filenum%, , Text$
END SUB

FUNCTION StringArrayMaxLen% (StringArray())
    FOR I = LBOUND(StringArray) TO UBOUND(StringArray)
      IF LEN(StringArray(I%)) > Count% THEN Count% = LEN(StringArray(I%))
    NEXT
    StringArrayMaxLen% = Count%
END FUNCTION

SUB StringToFile (Text$, Filenum%)
    LongVal& = LEN(Text$)
    PUT 1, , LongVal&
    PUT 1, , Text$
END SUB

